'''
-----------------------------------------------------------------------------
 3D model of the heat transfer analysis of a reactor vessel
-----------------------------------------------------------------------------
'''   

from abaqus import *
from abaqusConstants import *

import part, material, section, assembly, step, interaction
import regionToolset, displayGroupMdbToolset as dgm, mesh
import load, job

#----------------------------------------------------------------------------

# Open the CAE model and create a viewport for viewing it.

Mdb()
modelName = 'adaptReactorVesselHT'
openMdb(modelName)
myModel = mdb.models[modelName]
myAssembly = myModel.rootAssembly
myViewport = session.Viewport(name=modelName)
myViewport.makeCurrent()
myViewport.maximize()
myViewport.setValues(displayedObject=myAssembly)

#---------------------------------------------------------------------------

# Submit the process for analysis

adaptivityProcess = 'Adaptivity-heat'
mdb.adaptivityProcesses[adaptivityProcess].submit(waitForCompletion=True)
#mdb.adaptivityProcesses[adaptivityProcess].waitForCompletion()
mdb.saveAs(pathName=modelName)
#---------------------------------------------------------------------------
